Subject: [Apn] Comments on draft-li-apn-ipv6-encap-01

From: Donald Eastlake <[email-masked]>
Date: Tue, 29 Mar 2022 15:51:41 -0400

I have reviewed this draft and have some comments that I believe would
improve it, mostly by clarifying it:

The Requirement Language section should be updated to the current required
wording referencing RFC 8174 as well as RFC 2119.

Section 2: Add SRH to the list of acronyms with a reference to RFC 8754.

Section 3:

In the first sentence "one option" -> "one IPv6 Header option [RFC8200]"

In Figure 1, the "Opt Type" field should probably be something like "Opt
Type=TBD2"

In the list of fields after Figure 1, it currently lists "Option Data" but
that should be changed to "APN Header" which is what it says in the figure.

Section 4.1: "Hop-by-Hop Options" -> "IPv6 Hop-by-Hop Options"

Section 4.2: Suggest inserting "but would not normally be seen by other
nodes" in the last sentence between "destination node" and "along".

Section 5:

Similar to the change in Figure 1, in Figure 2 the "Type" field should say
something like "Type=TBD1".

In the list of fields after Figure 2, for Type is should just say "TBD1"
instead of "to be assigned by IANA", for RESERVED add "and ignored on
receipt", and for APN Header, it should reference [I.D.li-apn-header].

Section 6, IANA Considerations: In my opinion, this section needs a
more-or-less complete replacement. Also, for the IPv6 Header Option, it
needs to specify the bits that indicate whether the option can change in
flight (I'm guessing it can't) and what to do if the option is not known
(my guess is ignore it). So I suggest replacing this section with something
like the following:

*6. IANA Considerations*

*   IANA is requested to assign two code points as below.*

*6.1 IPv6 Header Option*

*   IANA is requested to assign an IPv6 Header Option as follows:*

*   Hex      Binary Value*

*   Value    act chg rest    Description                   Reference*

*   -----    --- --- -----  ----------------------------  ---------------*

*    TBD1     00   0 xxxxx  Application-aware Networking  [this document]*

*   RFC Editor / IANA Note: To be removed when RFC is published. xxxxx is
the binary for the bottom 5 bits of RBD1. *

*6.2 SRH TLV Type*

*   IANA is requested to assign an SRH TLV Type as follows:*

*   Value    Description                    Reference*

*   -----   ----------------------------   -----------------*

*    TBD2   Application-aware Networking    [this document]*

References: I think that RFCs 8174 and 8200 should be added to the
normative references.

There were also some additional minor editorial suggestions that I sent
directly to the authors.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Wed, 30 Mar 2022 00:29:53 +0000

Hi Donald,

Many thanks for your detailed review and suggestions! We will update the draft accordingly.

Thank you!

Best regards,
Shuping

________________________________

彭书萍 Peng Shuping
Mobile: +86-18210364128(优先)
Email: [email-masked]

发件人：Donald Eastlake <[email-masked]>
收件人：apn <[email-masked]>
时 间：2022-03-30 03:52:48
主 题：[Apn] Comments on draft-li-apn-ipv6-encap-01

I have reviewed this draft and have some comments that I believe would improve it, mostly by clarifying it:

The Requirement Language section should be updated to the current required wording referencing RFC 8174 as well as RFC 2119.

Section 3:

In Figure 1, the "Opt Type" field should probably be something like "Opt Type=TBD2"

In the list of fields after Figure 1, it currently lists "Option Data" but that should be changed to "APN Header" which is what it says in the figure.

Section 4.2: Suggest inserting "but would not normally be seen by other nodes" in the last sentence between "destination node" and "along".

Section 5:

Similar to the change in Figure 1, in Figure 2 the "Type" field should say something like "Type=TBD1".

In the list of fields after Figure 2, for Type is should just say "TBD1" instead of "to be assigned by IANA", for RESERVED add "and ignored on receipt", and for APN Header, it should reference [I.D.li-apn-header].

Section 6, IANA Considerations: In my opinion, this section needs a more-or-less complete replacement. Also, for the IPv6 Header Option, it needs to specify the bits that indicate whether the option can change in flight (I'm guessing it can't) and what to do if the option is not known (my guess is ignore it). So I suggest replacing this section with something like the following:

6. IANA Considerations

   IANA is requested to assign two code points as below.

6.1 IPv6 Header Option

   IANA is requested to assign an IPv6 Header Option as follows:

   Hex      Binary Value

   Value    act chg rest    Description                   Reference

   -----    --- --- -----  ----------------------------  ---------------

    TBD1     00   0 xxxxx  Application-aware Networking  [this document]

   RFC Editor / IANA Note: To be removed when RFC is published. xxxxx is the binary for the bottom 5 bits of RBD1.

6.2 SRH TLV Type

   IANA is requested to assign an SRH TLV Type as follows:

   Value    Description                    Reference

   -----   ----------------------------   -----------------

    TBD2   Application-aware Networking    [this document]

References: I think that RFCs 8174 and 8200 should be added to the normative references.

There were also some additional minor editorial suggestions that I sent directly to the authors.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]<mailto:[email-masked]>